# -*- coding: utf-8 -*-


class TaskError(Exception):
    def __init__(self, message=None):
        self.message = message
    pass


class QueryTooSlow(Exception):
    def __init__(self, message=None, timeout=None):
        self.message = message
        self.timeout = timeout
    pass


class QuotaError(Exception):
    def __init__(self, message=None, timeout=None):
        self.message = message
        self.timeout = timeout
    pass


class ClickHouseError(Exception):
    def __init__(self, message=None, query=None):
        self.message = message
        self.query = query
    pass


class MaxRetriesError(Exception):
    def __init__(self, message=None):
        self.message = message
    pass


class TimeOutError(Exception):
    def __init__(self, message=None, query=None):
        self.message = message
        self.query = query
    pass


class YQLError(Exception):
    def __init__(self, message=None):
        self.message = message
    pass
